/* Header for ivtv project:
 * Driver for the iTVC15 chip.
 * Author: Kevin Thayer (nufan_wfk at yahoo.com)
 * License: GPL
 * http://www.sourceforge.net/projects/ivtv/
 * Stripped down for inclusion in the Video::ivtv perl module
 * by James A. Pattie (james at pcxperience.com) - 2003/05/12
 */

/* External API stuff */
#define IVTV_IOC_G_CODEC	0xFFEE7703
#define IVTV_IOC_S_CODEC	0xFFEE7704

/* Stream types */
#define IVTV_STREAM_PS		0
#define IVTV_STREAM_TS		1
#define IVTV_STREAM_MPEG1	2
#define IVTV_STREAM_PES_AV	3
#define IVTV_STREAM_PES_V	5
#define IVTV_STREAM_PES_A	7
#define IVTV_STREAM_DVD		10

/* This will have to do until I can figure out how to import these
   without having to be building in the kernel!
 */

typedef unsigned int u32;

/* For use with IVTV_IOC_G_CODEC and IVTV_IOC_S_CODEC */
struct ivtv_ioctl_codec {
	u32 aspect;
	u32 audio;
	u32 bframes;
	u32 bitrate;
	u32 bitrate_peak;
	u32 dnr_mode;
	u32 dnr_spatial;
	u32 dnr_temporal;
	u32 dnr_type;
	u32 framerate;
	u32 framespergop;
	u32 gop_closure;
	u32 pulldown;
	u32 stream_type;
};

